<?php

if (!isset($_SESSION)) {
     session_start();
   }

 error_reporting(0);
 ini_set(“display_errors”, 0 );

 include "protege_professor.php";
 
 
$endereco = array();
$cep = array();
$numero = array();
$complemento = array();
$bairro = array();
$cidade = array();
$estado = array();
$celular = array();
$telfixo = array();
$telcomercial = array();








foreach ($_POST as $key => $value) {

    $indice = $key;

     // echo "INDICE: ".$indice . "VALOR: ". $value . "<br>";
     
      if(substr($indice, 0,14) == "modal_endereco" ){
           array_push($endereco, $value);

      }else if(substr($indice, 0, 9) == "modal_cep"){

           array_push($cep, $value);

      }else if(substr($indice, 0,12) == "modal_numero"){

           array_push($numero, $value);

      }else if(substr($indice, 0,17) == "modal_complemento"){
           array_push($complemento, $value);

      }else if(substr($indice, 0,12) == "modal_bairro"){
           array_push($bairro, $value);


      }else if(substr($indice, 0,12) == "modal_cidade"){
           array_push($cidade, $value);
           
      }else if(substr($indice,0,12) == "modal_estado"){
           array_push($estado, $value);
      }


}


foreach ($_POST as $key => $value) {

    $indice = $key;

     // echo "INDICE: ".$indice . "VALOR: ". $value . "<br>";
     
                                
      if(substr($indice, 0,13) == "modal_celular" ){
           array_push($celular, $value);

      }else if(substr($indice, 0, 13) == "modal_telfixo"){
           array_push($telfixo, $value);

      }else if(substr($indice, 0,18) == "modal_telcomercial"){
           array_push($telcomercial, $value);

      }

}









$diretorio = 'img/perfil/';

if(!is_dir("$diretorio")) {

mkdir ("$diretorio", 0700 ); // criar o diretorio

}

$nome_foto = $_FILES['perfil_foto']['name'];


move_uploaded_file($_FILES['perfil_foto']['tmp_name'], $diretorio.$nome_foto);
$path_foto = $diretorio.$nome_foto; 



function remover_acentos($str) { 

//   $a = array('À', 'Á', 'Â', 'Ã', 'Ä', 'Å', 'Æ', 'Ç', 'È', 'É', 'Ê', 'Ë', 'Ì', 'Í', 'Î', 'Ï', 'Ð', 'Ñ', 'Ò', 'Ó', 'Ô', 'Õ', 'Ö', 'Ø', 'Ù', 'Ú', 'Û', 'Ü', 'Ý', 'ß', 'à', 'á', 'â', 'ã', 'ä', 'å', 'æ', 'ç', 'è', 'é', 'ê', 'ë', 'ì', 'í', 'î', 'ï', 'ñ', 'ò', 'ó', 'ô', 'õ', 'ö', 'ø', 'ù', 'ú', 'û', 'ü', 'ý', 'ÿ', 'A', 'a', 'A', 'a', 'A', 'a', 'C', 'c', 'C', 'c', 'C', 'c', 'C', 'c', 'D', 'd', 'Ð', 'd', 'E', 'e', 'E', 'e', 'E', 'e', 'E', 'e', 'E', 'e', 'G', 'g', 'G', 'g', 'G', 'g', 'G', 'g', 'H', 'h', 'H', 'h', 'I', 'i', 'I', 'i', 'I', 'i', 'I', 'i', 'I', 'i', '?', '?', 'J', 'j', 'K', 'k', 'L', 'l', 'N', 'n', 'N', 'n', 'N', 'n', '?', 'O', 'o', 'O', 'o', 'O', 'o', 'Œ', 'œ', 'R', 'r', 'R', 'r', 'R', 'r', 'S', 's', 'S', 's', 'S', 's', 'Š', 'š', 'T', 't', 'T', 't', 'T', 't', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'W', 'w', 'Y', 'y', 'Ÿ', 'Z', 'z', 'Z', 'z', 'Ž', 'ž', '?', 'ƒ', 'O', 'o', 'U', 'u', 'A', 'a', 'I', 'i', 'O', 'o', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', '?', '?', '?', '?', '?', '?', 'ç', 'Ç', "'"); 
//   $b = array('A', 'A', 'A', 'A', 'A', 'A', 'AE', 'C', 'E', 'E', 'E', 'E', 'I', 'I', 'I', 'I', 'D', 'N','O', 'O', 'O', 'O', 'O', 'O', 'U', 'U', 'U', 'U', 'Y', 's', 'a', 'a', 'a', 'a', 'a', 'a','ae', 'c', 'e', 'e', 'e', 'e', 'i', 'i', 'i', 'i', 'n', 'o', 'o', 'o', 'o', 'o', 'o', 'u', 'u', 'u', 'u', 'y', 'y', 'A', 'a', 'A', 'a', 'A', 'a', 'C', 'c', 'C', 'c', 'C', 'c', 'C', 'c', 'D', 'd', 'D', 'd', 'E', 'e', 'E', 'e', 'E', 'e', 'E', 'e', 'E', 'e', 'G', 'g', 'G', 'g', 'G', 'g', 'G', 'g', 'H', 'h', 'H', 'h', 'I', 'i', 'I', 'i', 'I', 'i', 'I', 'i', 'I', 'i','IJ','ij', 'J', 'j', 'K', 'k', 'L', 'l', 'N', 'n', 'N', 'n', 'N', 'n', 'n', 'O', 'o', 'O', 'o', 'O', 'o', 'OE', 'oe', 'R', 'r', 'R', 'r', 'R', 'r', 'S', 's', 'S', 's', 'S', 's', 'S', 's', 'T', 't', 'T', 't', 'T', 't', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'W', 'w', 'Y', 'y', 'Y', 'Z', 'z', 'Z', 'z', 'Z', 'z', 's', 'f', 'O', 'o', 'U', 'u', 'A', 'a', 'I', 'i', 'O', 'o', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'A', 'a', 'AE', 'ae', 'O', 'o','c','C', " "); 
//   return str_replace($a, $b, $str); 

  return $str;
} 
date_default_timezone_set('America/Sao_Paulo');

$idcliente 				  = $_POST["idcliente"];
$nome_cli 				  = $_POST["nome_cli"];
$cpf_cli 				    = $_POST["cpf_cli"];
$rg_cli 				    = $_POST["rg_cli"];



$estadocivil_cli  	= $_POST["estadocivil_cli"];
$profissao_cli 		  = $_POST["profissao_cli"];
$nascimento_cli		  = $_POST["nascimento_cli"];
$email_cli 				  = $_POST["email_cli"];
$cidade_cli 			  = $_POST["cidade_cli"];
$endereco_cli 		  = $_POST["endereco_cli"];
$numero_cli 			  = $_POST["numero_cli"];
$complemento_cli    = $_POST["complemento_cli"];
$bairro_cli 			  = $_POST["bairro_cli"];
$cep_cli 				    = $_POST["cep_cli"];
$telefone1_cli 	    = $_POST["telefone1_cli"];
$telefone2_cli 		  = $_POST["telefone2_cli"];
$telefone3_cli      = $_POST["telefone3_cli"];
$estado_cli 		  	= $_POST["estado_cli"];
$obs_cli 			      = $_POST["obs_cli"];

$idgrupo 			  	  = $_POST["idgrupo"];
$tipo_cliente 		  = $_POST["tipo_cliente"];
$conjuge_idconjuge 	= $_POST["conjuge_idconjuge"];
$renda_total        = $_POST["renda_total"];
$nacionalidade_cli	= $_POST["nacionalidade_cli"];
$orgao_expedidor  	= $_POST["orgao_expedidor"];

$grupo_cliente  		= $_POST["grupo_cliente"];
$imobiliaria_id  		= $_POST["imobiliaria_id"];
$creci  				    = $_POST["creci"];
$insc_municipal  		= $_POST["insc_municipal"];
$alterado_por  			= $_POST["alterado_por"];
$data_alterado      = date('d-m-Y H:i:s');

$renda_total = str_replace("R$","", $renda_total);
$renda_total = str_replace(".","",  $renda_total);
$renda_total = str_replace(",",".", $renda_total);

$nome_cli2 		= remover_acentos($nome_cli);
$endereco_cli2 	= remover_acentos($endereco_cli);
$bairro_cli2 	= remover_acentos($bairro_cli);
$cidade_cli2 	= remover_acentos($cidade_cli);
$estado_cli2 	= remover_acentos($estado_cli);
   
   
if($nascimento_cli != ""){
$nascimento_cli = date("d-m-Y", strtotime($nascimento_cli));
}   
   
 include "conexao.php";

     $pega_equipe = pega_equipe($idcliente);

     #esta em uma equipe porem esta sendo atualizado sem equipe
     if($pega_equipe != "" && $imobiliaria_id =="" ){
          $percentcli = pega_percent($pega_equipe, $idcliente);
          // echo '<br>'; print_r($percentcli); echo '<br>';


          #tenho o empreendimento e o percentual / atualizo a comissao daquele empreendimento com aquele percentual tratado
          $percentual = [];

          $pct = [];
          foreach($percentcli as $i => $p){
                
               $com = explode('|', $p);
               // print_r($com); echo '<br>';echo '<br>';echo '<br>';

               // echo 'cadacomissao';echo '<br>';
               $cnt = 0;
               foreach($com as $c){
                    $cnt ++;
                    $val = explode('-',$c);

                    // print_r(intval($val[0])); echo '<----->'; echo $idcliente; echo '<br>';echo '<br>';

                    

                    if( abs($val[0]) == abs($idcliente)){
                         continue;
                    }else{
                         if($cnt>1){
                              $percentual[$i] = $percentual[$i].'|';
                         }
                         $var = $val[0].'-'.$val[1];
                         $percentual[$i] = $percentual[$i] .$var;

                    }
                    
               }
               // $pct[$i] = 
               
          }

          // print_r($percentual); echo '<br>';
          foreach ($percentual as $pe => $val){

               $doemp = $percentual[$pe];
               // print_r($doemp); echo '<br>';
               $inserir = ("UPDATE comissao_equipe set percentual_corretores = '$doemp' WHERE empreendimento_id = $pe AND  equipe_id = $pega_equipe ");
               // echo '<pre>';
               //  print_r($inserir); echo '<br>';
               // echo '</pre>'; 
               $executa_query = mysqli_query ($db,$inserir);
          }
          // die();

     }
     



 $inserir = ("UPDATE cliente set
  nome_cli 			  	='$nome_cli2',
  cpf_cli  			  	='$cpf_cli',    
  rg_cli   			  	='$rg_cli',    
  profissao_cli 		='$profissao_cli',
  nascimento_cli 		='$nascimento_cli',    
  email_cli 				='$email_cli',    
  cidade_cli 				='$cidade_cli2',    
  endereco_cli 			='$endereco_cli2',    
  numero_cli 				='$numero_cli',    
  bairro_cli 				='$bairro_cli2',    
  cep_cli 			  	='$cep_cli',    
  telefone1_cli 		='$telefone1_cli',    
  telefone2_cli 		='$telefone2_cli', 
  telefone3_cli     ='$telefone3_cli', 
  estado_cli 			  ='$estado_cli2',
  imob_id 			   	='$imobiliaria_id',
  creci 				   	='$creci',
  alterado_por      ='$alterado_por',
  data_alterado     ='$data_alterado',
  insc_municipal    ='$insc_municipal',

  complemento_cli   ='$complemento_cli',
  categoria_cliente ='$grupo_cliente',
  idgrupo           ='$idgrupo',
  obs_cli           ='$obs_cli',
  estadocivil_cli   ='$estadocivil_cli',
  renda_total       ='$renda_total',
  nacionalidade_cli ='$nacionalidade_cli',
  path_foto         ='$path_foto',
  orgao_expedidor   ='$orgao_expedidor' 

  WHERE idcliente = '$idcliente'   



");





 $executa_query = mysqli_query ($db,$inserir);


//SE HOUVER UMA NOVA SENHA ALTERA A ANTIGA

if(isset($_POST['senha'])){

     

     if( strlen($_POST["senha"]) < 32 && $_POST["senha"] != '' ){

          $senha_cli_cad 		  = md5(addslashes($_POST["senha"]));
          $executa_query = mysqli_query ($db,"UPDATE cliente set senha ='$senha_cli_cad' WHERE idcliente = '$idcliente'");

          

     }else{

          $senha_cli_cad = '';
          $executa_query = mysqli_query ($db,"UPDATE cliente set senha ='$senha_cli_cad' WHERE idcliente = '$idcliente'");

     }

     if($_SESSION['fsenha'] == 0 && $_SESSION['id_usuario'] == $idcliente){
          $_SESSION['fsenha'] = 1;

     }

     
     
}




 $deleta_tipo   = mysqli_query($db,"DELETE FROM cliente_tipo WHERE idcliente='$idcliente'");


  foreach($tipo_cliente as $tipo){

              $inserir_tipo = mysqli_query($db,"INSERT INTO cliente_tipo (idcliente, idtipo) values ('$idcliente','$tipo')");
          }

 
 $deleta_con   = mysqli_query($db,"DELETE FROM conjuge WHERE conjuge_idconjuge='$conjuge_idconjuge'");
 $inserir_con = mysqli_query($db,"INSERT INTO conjuge (cliente_idcliente, conjuge_idconjuge) values ('$idcliente','$conjuge_idconjuge')");


$auditoria_alteracao_cliente = mysqli_query($db,"INSERT INTO alteracao_cadastro_cliente (cliente_id, data_alterado, alterado_por) values ('$idcliente','$data_alterado','$alterado_por')");
 
 function nome_user($id){
    include "conexao.php";
     $query_igpm = "SELECT nome_cli FROM cliente where idcliente = $id";

                $executa_igpm = mysqli_query ($db, $query_igpm);                
                
            while ($buscar_amigoc = mysqli_fetch_assoc($executa_igpm)) {//--verifica se são amigos
           
             $nome_cli             = $buscar_amigoc['nome_cli'];
}
return $nome_cli;

} 

 
 function pega_equipe($id){
    include "conexao.php";
     $query = "SELECT imob_id FROM cliente where idcliente = $id";

     $executa = mysqli_query ($db, $query);                
                
     while ($buscar_amigoc = mysqli_fetch_assoc($executa)) {//--verifica se são amigos
     
          $nome_cli   = $buscar_amigoc['imob_id'];
     }
     return $nome_cli;

} 
 
 function pega_percent($ideq, $idcliente){

     #PERCENT DO CORRETOR EM TODOS OS EMPREENDIMENTOS
    include "conexao.php";
     $query = "SELECT percentual_corretores, empreendimento_id FROM `comissao_equipe` where equipe_id = $ideq order by empreendimento_id";

     $executa = mysqli_query ($db, $query);                
                
     while ($buscar_amigoc = mysqli_fetch_assoc($executa)) {//--verifica se são amigos
     
          $nome_cli[$buscar_amigoc['empreendimento_id']]   = $buscar_amigoc['percentual_corretores'];
               


           
     }

     // print_r($nome_cli);echo '<br>';

     return $nome_cli;

} 



######################## INSERIR ENDERECO ################################

    for($i = 0 ; $i < count($endereco); $i++ ){
          
       $endereco_modal    = $endereco[$i];
       $cep_modal         = $cep[$i];
       $numero_modal      = $numero[$i];
       $complemento_modal = $complemento[$i];
       $bairro_modal      = $bairro[$i];
       $cidade_modal      = $cidade[$i];
       $estado_modal      = $estado[$i];

       $endereco_modal    = remover_acentos($endereco_modal);
       $complemento_modal = remover_acentos($complemento_modal);
       $cidade_modal      = remover_acentos($cidade_modal);
       $bairro_modal      = remover_acentos($bairro_modal);
       $estado_modal      = remover_acentos($estado_modal);


       include "conexao.php";
    

       $idcliente_alterar = $_POST['idcliente'];
       

       $query = "INSERT INTO endereco_cli (id_cliente, endereco_cli, numero_cli, complemento_cli, bairro_cli, cidade_cli, estado_cli, cep_cli)  VALUES('$idcliente_alterar', '$endereco_modal', '$numero_modal','$complemento_modal', '$bairro_modal', '$cidade_modal', '$estado_modal', '$cep_modal')";


         

       $executa_query = mysqli_query($db, $query);


      if($executa_query->connect_error){
          echo "Erro: ". $executa_query->connect_error;
          die();
      }
  
    }




    ########################## INSERIR TELEFONE ###############################



 for($j = 0 ; $j < count($telfixo); $j++ ){


          
       $celular_cli      = $celular[$j];
       $telfixo_cli      = $telfixo[$j];
       $telcom_cli       = $telcomercial[$j];


    
       include "conexao.php";


        $idcliente_alterar = $_POST['idcliente'];

       $query = "INSERT INTO telefone_cli (id_cliente, celular, telefone_fixo, telefone_comercial)  VALUES('$idcliente_alterar', '$celular_cli', '$telfixo_cli' , '$telcom_cli')";
         

       $executa_query = mysqli_query($db, $query);


      if($executa_query->connect_error){
          echo "Erro: ". $executa_query->connect_error;
        
      }
  

    }




//function que grava usuario que alterou e o que alterou
function grava_log($data_log,$usuario_id,$descricao_log){

    include "conexao.php";
     $query_log = "insert into log (data_log,usuario_id,descricao_log) values('$data_log','$usuario_id','$descricao_log')";
        $executa_log = mysqli_query($db, $query_log);
        return 1;
 }

$nome_usuario = nome_user($alterado_por);
$data_log = date('d-m-Y H:i:s');
$usuario_id = $alterado_por;
$descricao_log = "Usuário ".$nome_usuario ." alterou os dados do cliente: ".$nome_cli;

grava_log($data_log,$usuario_id,$descricao_log);
 
 ?>

 <script>
window.location="clientes.php";
 </script>